PETSc version 3.15.5
Fix/Edit manual page

# TSGetAuxSolution

Returns an auxiliary solution at the present timestep, if available for the time integration method being used.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetAuxSolution(TS ts,Vec *v)

Not Collective, but Vec returned is parallel if TS is parallel

### Parameters

| ts | - the TS context obtained from TSCreate() (input parameter).
| v | - the vector containing the auxiliary solution

### See Also

TSGetSolution()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Implementations

TSGetAuxSolution_GLEE in src/ts/impls/glee/glee.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages